Persona is no longer an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 512327 - (CVE-2009-3377) Update liboggz
: Update liboggz
: verified1.9.1
Product: Core
Classification: Components
Component: Audio/Video (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla1.9.3a1
Assigned To: Chris Pearce (:cpearce)
: Maire Reavy [:mreavy]
Depends on: 511584
Blocks: 496051 506878 511038 CVE-2009-3378 515376
  Show dependency treegraph
Reported: 2009-08-24 14:20 PDT by Chris Pearce (:cpearce)
Modified: 2009-10-29 03:51 PDT (History)
8 users (show)
roc: wanted1.9.2+
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---

Patch (73.04 KB, patch)
2009-08-27 12:37 PDT, Chris Pearce (:cpearce)
cajbir.bugzilla: review+
Details | Diff | Splinter Review
Patch v2 (72.53 KB, patch)
2009-09-13 14:59 PDT, Chris Pearce (:cpearce)
cajbir.bugzilla: review+
roc: approval1.9.2+
Details | Diff | Splinter Review
Patch backported to 1.9.1 (78.10 KB, patch)
2009-09-29 21:59 PDT, Chris Pearce (:cpearce)
cpearce: review+
dveditz: approval1.9.1.4+
Details | Diff | Splinter Review

Description Chris Pearce (:cpearce) 2009-08-24 14:20:30 PDT
We should update liboggz to pickup recent fixes.
Comment 1 Chris Pearce (:cpearce) 2009-08-27 12:37:33 PDT
Created attachment 397088 [details] [diff] [review]

Update liboggz to rev 20609d34c41fa.
Comment 2 Chris Pearce (:cpearce) 2009-08-30 18:26:18 PDT
Pushed to m-c:
Comment 3 Chris Pearce (:cpearce) 2009-09-01 16:17:27 PDT
Also backed out bug 512327 so that test pass without bug 512328:
Comment 4 Chris Pearce (:cpearce) 2009-09-13 14:59:15 PDT
Created attachment 400399 [details] [diff] [review]
Patch v2

Updates liboggz to rev cf5feeaab69b05e24. This includes the fix for bug 515376, and all tests pass with just this patch. I've pushed it to tryserver several times, and not seen the intermittent harness timeout as per bug 515376, so I assume that hang only occurs when the liboggplay update of bug 512328 is present, and was not caused by a liboggz update which was pushed at the same time. I think we should land this now, and land the liboggplay separately (or just cherry pick changesets from it). This also fixes bug 496051
Comment 5 Chris Pearce (:cpearce) 2009-09-15 21:13:59 PDT
Pushed to m-c:
Comment 6 Chris Pearce (:cpearce) 2009-09-16 16:04:27 PDT
Can we get this on 1.9.2? It fixes bug 511038 (the mobile guys want this on fennec1.0), fixes bug 515376, and is required for some of the (pending) oggplay updates. We'll also need bug 511584 on 1.9.2 if we take this on 1.9.2.
Comment 7 Chris Pearce (:cpearce) 2009-09-29 21:59:01 PDT
Created attachment 403697 [details] [diff] [review]
Patch backported to 1.9.1

Patch backported to 1.9.1. We require this patch for bug 512327, which is
required for bug 512328 which people want on 1.9.1.
Comment 8 Daniel Veditz [:dveditz] 2009-09-29 23:56:35 PDT
Comment on attachment 403697 [details] [diff] [review]
Patch backported to 1.9.1

Approved for, a=dveditz
Comment 9 Chris Pearce (:cpearce) 2009-09-30 00:29:52 PDT
Pushed to 1.9.1:
Comment 10 Tony Chung [:tchung] 2009-10-01 08:24:21 PDT
Including comments from cpearce on what types of test regressions to focus on.

The liboggplay update landed on 1.9.1 last night, is in last night's nightly. We need to test general video playback, ensure there's no new hangs, that sort of thing. 
> It would probably be wise to take it on 1.9.1, provided we have some
> QA guys testing it. We'd need to take the recent libfishsound (bug
> 511584) and liboggz updates (bug 512327) as well, liboggplay depends
> on them.
> The liboggplay update has only been on trunk and 1.9.2 for about a
> week, and I'm not terribly trusting of it, so if we took it on 1.9.1
> we'd definitely need some QA guys bashing on it to be sure that
> nothing was broken. It seems stable on trunk, but that's quite a way
> ahead of 1.9.1 now, so it may interact with our code differently than
> on current trunk.
Comment 11 Chris Pearce (:cpearce) 2009-10-01 23:57:25 PDT
Pushed to 1.9.2:
Comment 12 Al Billings [:abillings] 2009-10-02 16:50:06 PDT
How can QA verify that this fix works properly?
Comment 13 Chris Pearce (:cpearce) 2009-10-04 13:07:26 PDT
Yeah, if everything works as it previously did, then we're ok.
Comment 14 Al Billings [:abillings] 2009-10-05 11:30:04 PDT
Verified for 1.9.1 based on the testing that Tony Chung and Anthony Hughes have done on the 1.9.1 nighties.

Note You need to log in before you can comment on or make changes to this bug.